Package org.eclipse.microprofile.config.tck.broken

# Class ConfigObserver

java.lang.Object
org.eclipse.microprofile.config.tck.broken.ConfigObserver

@ApplicationScoped public class ConfigObserver extends Object
A bean supporting the `MissingValueOnObserverMethodInjectionTest` test that injects a non-existent configuration property in a container lifecycle event observer method.

Author:
  Laird Nelson
See Also:
  - `MissingValueOnObserverMethodInjectionTest`

## Constructor Summary

Constructors
Constructor
Description
`ConfigObserver()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onStartup(Object event, String nonExistentConfigurationPropertyValue)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConfigObserver

public ConfigObserver()

## Method Details

### onStartup

public void onStartup(@Observes @Initialized(jakarta.enterprise.context.ApplicationScoped.class) Object event, String nonExistentConfigurationPropertyValue)